CreateDSN

Sub CreateDSN
	
	Set WshShell = CreateObject ("WScript.Shell")
	Set WshFso = CreateObject ("Scripting.FileSystemObject")
	strInstallDir = WshShell.RegRead ("HKEY_LOCAL_MACHINE\SOFTWARE\Pervasive Software\Products\Temp\InstallDir")
	Set logFileWrite = Wshfso.OpenTextFile(strInstallDir + "pvinst.log", 8, True)
	logFileWrite.Writeline "executing dtodsnsetup.vbs"
	tmpEnvString=WshShell.Environment.Item("PATH")
	
	if InStr(1, tmpEnvString,strInstallDir, 1) = 0 then 
	 	WshShell.Environment.Item("PATH")= strInstallDir + "bin;" + tmpEnvString
	end if
	tmpEnvString2=WshShell.Environment.Item("PATH") 
	
	strSystemRoot = WshShell.ExpandEnvironmentStrings("%SystemRoot%") 

	strReplace = Replace (tmpEnvString2,"%SystemRoot%",strSystemRoot)
	WshShell.Environment.Item("PATH")= strReplace	

	if (Right(strInstallDir,1) <> "\") then
		strInstallDir = strInstallDir & "\"
	end if 

	logFileWrite.Writeline "Removing and Creating Demodata at "  +  CStr(Date()) + " "  + CStr(Time())
 	set wshnetwork = CreateObject ("WScript.network")
	logFileWrite.Writeline "Creating network object"
	logFileWrite.Writeline "starting sleep in createdsn at " +  CStr(Date()) + " "  + CStr(Time())
	
	logFileWrite.Writeline "ending sleep in createdsn at " +  CStr(Date()) + " "  + CStr(Time())

	set oDTO = CreateObject("DTO.DtoSession.2")  'setting up objects
	logFileWrite.Writeline "Created DTOSession2 at " +  CStr(Date()) + " "  + CStr(Time())
 	
	result = oDTO.Connect (wshnetwork.computername,wshnetwork.computername,"")
	logFileWrite.Writeline "Connected to dtosession2 at  " +  CStr(Date()) + " "  + CStr(Time())
	
	set myDSNColl = oDTO.DSNs 
	result = myDSNColl.Remove("DEMODATA")   'REMOVING DSN's
	logFileWrite.Writeline "REMOVING DSN: " + oDTO.Error(result) + " " +  CStr(Date()) + " "  + CStr(Time())
	
	set oDSNs = CreateObject("DTO.DtoDSNs.2") 
	set myDSN = CreateObject("DTO.DtoDSN.2")
	if not IsNull(oDB) then
	myDSN.Name = "DEMODATA" 
		myDSN.Description = "DEMODATA DSN" 
		myDSN.Dbname = "DEMODATA"                   'ADDING DSN
		myDSN.Openmode = dtoNormalDSNOpenMode 
		result = myDSNColl.Add(myDSN) 
		logFileWrite.WriteLine "ADDING DSN: " + oDTO.Error(result) + " " +  CStr(Date()) + " "  + CStr(Time())
	end if
	Set myDB = oDTO.Databases 'set 
 
	result = myDB.Remove("DEMODATA",0)    'REMOVING DATABASE, don't delete dsn's 
	logFileWrite.Writeline "REMOVING DB: " + oDTO.Error(result) + " " +  CStr(Date()) + " "  + CStr(Time())

	set oDB = CreateObject("DTO.DtoDatabase.2")
	if not IsNull(oDB) then
		oDB.Name = "DEMODATA"                         'ADDING DATABASE
		oDB.DdfPath = strInstallDir + "DEMODATA" 
		oDB.DataPath = strInstallDir + "DEMODATA" 		
		oDB.Flags = 2 
		result = myDB.Add (oDB)
		logFileWrite.Writeline "ADDING DB: " + oDTO.Error(result) + " " +  CStr(Date()) + " "  + CStr(Time())
	end if 
	

	set oDSNs2 = CreateObject("DTO.DtoDSNs.2") 
	set myDSN2 = CreateObject("DTO.DtoDSN.2")
	
		myDSN2.Name = "DefaultDB" 
		myDSN2.Description = "DefaultDB DSN" 
	
		myDSN2.Dbname = "DefaultDB"                   'ADDING DSN
		myDSN2.Openmode = dtoNormalDSNOpenMode 
	
		result = myDSNColl.Add(myDSN2) 
		logFileWrite.WriteLine "ADDING DSN: " + oDTO.Error(result) + " " +  CStr(Date()) + " "  + CStr(Time())
	
		Set myDB2 = oDTO.Databases 'set 
 	

	set oDB2 = CreateObject("DTO.DtoDatabase.2")
	if not IsNull(oDB2) then
		oDB2.Name = "DefaultDB"                         'ADDING DATABASE
		oDB2.DdfPath = strInstallDir + "SAMPLES" 
		oDB2.DataPath = strInstallDir + "SAMPLES" 		
		oDB2.Flags = 6 
		result = myDB2.Add (oDB2)
		logFileWrite.Writeline "ADDING DB: " + oDTO.Error(result) + " " +  CStr(Date()) + " "  + CStr(Time())
	end if 
	oDTO.Disconnect
	logFileWrite.Close


End Sub



