manifest
Const ForReading = 1, ForWriting = 2, ForAppending = 8, WindowsFolder = 0
Dim WshShell, oExec, WshFso, logFileWrite, strSetupDir, strInstallDir, strSystemDir, strSupportDir, strCommonDirDoc, strCommonDir, strRoot,masterfile
Sub manifest
	on error resume next
	
	Set WshShell = CreateObject ("WScript.Shell")
	Set WshFso = CreateObject ("Scripting.FileSystemObject")
	strInstallDir = WshShell.RegRead ("HKEY_LOCAL_MACHINE\SOFTWARE\Pervasive Software\Products\Temp\InstallDir")
	if (Right(strInstallDir, 1) <> "\") then
		strInstallDir = strInstallDir & "\"
	end if 
	copyTime = Time
	copyDate = Date
	
	Set WinFolder = WshFso.GetSpecialFolder(WindowsFolder)

	systemDrive = WinFolder.drive
	
	strCommonDir = WshShell.RegRead ("HKEY_LOCAL_MACHINE\SOFTWARE\Pervasive Software\Products\Temp\CommonFilesDir")
	if (Right(strInstallDir, 1) <> "\") then
		strInstallDir = strInstallDir & "\"
	end if 
	if (Right(strSupportDir, 1) <> "\") then
		strSupportDir = strSupportDir & "\"
	end if 
	if (Right(strCommonDir, 1) <> "\") then
		strCommonDir = strCommonDir & "\"
	end if 

	strCommonDirDoc = strCommonDir & "Pervasive Software Shared\Doc\"
	strPervasiveDir = strCommonDir & "Pervasive Software Shared\"

	WshFso.CreateFolder(strInstallDir)
	Set logFileWrite = WshFso.OpenTextFile(strCommonDirDoc + "manifest.csv", ForAppending, True)
	logResults "Start of Pervasive Software manifest for for Pervasive.SQL  Engine created on " + cStr(copyDate) + " " + cStr (copyTime) 



	diplaySeperator "demodata files"
	displayDirContents (strInstallDir & "demodata")


	diplaySeperator "pvsw\bin files"
	displayDirContents (strInstallDir &  "bin")
	displayDirContents (strInstallDir &  "bin\mkde")


	diplaySeperator "PSA files"
	displayDirContents (strPervasiveDir &  "psa")
	displayDirContents (strPervasiveDir &  "psa\psa_msgs")
	displayDirContents (strPervasiveDir &  "psa\locales\1033")

	
	diplaySeperator "Doc files"
	displayDirContents (strPervasiveDir &  "doc")

	diplaySeperator "PVSW core files"
	displayDirContents (strPervasiveDir &  "pvswcore")

	logResults "End of Pervasive Software manifest for Pervasive.SQL  Engine"

	logFileWrite.Close



	end sub


	sub displayOtherfile (fileName,  targetDir)
	on error resume next
		targetFile = targetDir & fileName
		set fileObj = WshFso.GetFile(targetFile)
		nVer = WshFso.GetFileVersion(targetFile)
		logresults targetFile + ", "  + cstr (fileObj.size) + ", " + cstr (fileObj.DateLastModified) + ", " + cstr (nVer) + ", " + readdescription (fileName)

	end sub

	sub logresults(results)
	on error resume next
		Dim copyTime, copyDate
		copyTime = Time
		copyDate = Date
		logFileWrite.Writeline results

	end sub

	sub diplaySeperator (displayText)
		logResults "================================================================"
		logResults displayText + ", size, created, version, description"
		logResults "================================================================"

	end sub

	sub displayDirContents (directory)
	on error resume next
		
		Set f = WshFso.GetFolder(directory)
		Set fc = f.Files
			For Each f1 in fc
			displayOtherfile  f1.name, directory & "\"  
		Next
	end sub

	
	function readdescription (file)
	on error resume next
		Dim description, myArray, inputdescription
		Set masterFile = WshFso.OpenTextFile(strCommonDirDoc + "masterlist.txt", ForReading)
		description = ""
		while masterfile.AtEndOfStream <> True
			record = masterfile.ReadLine
			myArray = split(record, ",")
			inputdescription = myArray(1)
			functionName = myArray(0)
			myArray = split(functionName,"*")
			functionName = myArray(0)
			lName = lcase(functionName)
			lFile = lcase(file)
			lName = trim(lName)
			lFile = trim(lfile)
			lFile = left(lfile, len(lName))
			if strcomp (lfile, lname) = 0 then
				description = inputdescription
			end if
		wend
		masterfile.close
		readdescription = description
	end function
